### Method

# Rest ProxyCall add_param

#### Declaration [src]

    void
    rest_proxy_call_add_param (
      RestProxyCall* call,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Add a query parameter called `param` with the string value `value` to the call. If a parameter with this name already exists, the new value will replace the old.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the parameter to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value of the parameter.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.